package com.test.bijihoudaun.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.test.bijihoudaun.entity.User;

import com.test.bijihoudaun.bo.UpdatePasswordBo;

public interface UserService extends IService<User> {
    /**
     * 用户注册
     * @param username 用户名
     * @param password 密码
     * @param email 邮箱
     * @return 注册成功的用户
     */
    User register(String username, String password, String email);

    /**
     * 用户登录
     * @param username 用户名
     * @param password 密码
     * @return 登录成功的用户
     */
    String login(String username, String password);

    /**
     * 用户删除
     * @param id 用户id
     */
    void deleteUser(Long id);

    /**
     * 查询用户token是否过期
     * @param id 用户id
     * @return Boolean
     */
    Boolean isTokenExpired(Long id,String token);

    /**
     * 更新用户密码
     * @param userId 用户ID
     * @param updatePasswordBo 包含新旧密码的对象
     */
    void updatePassword(Long userId, UpdatePasswordBo updatePasswordBo);
}
